| TagLib 1.13 |  |

Public Member Functions | Static Public Member Functions | Friends | List of all members
TagLib::RIFF::AIFF::File Class Reference

An implementation of TagLib::File with AIFF specific methods. More...

`#include <aifffile.h>`

Inheritance diagram for TagLib::RIFF::AIFF::File:
[legend]
Collaboration diagram for TagLib::RIFF::AIFF::File:
[legend]

## Public Member Functions
| File (FileName file, bool readProperties=true, Properties::ReadStyle propertiesStyle=Properties::Average)
| File (IOStream *stream, bool readProperties=true, Properties::ReadStyle propertiesStyle=Properties::Average)
virtual | ~File ()
virtual ID3v2::Tag * | tag () const
PropertyMap | properties () const
void | removeUnsupportedProperties (const StringList &properties)
PropertyMap | setProperties (const PropertyMap &)
virtual Properties * | audioProperties () const
virtual bool | save ()
bool | save (ID3v2::Version version)
bool | hasID3v2Tag () const
virtual | ~File ()
Public Member Functions inherited from TagLib::File
virtual | ~File ()
FileName | name () const
virtual Tag * | tag () const =0
PropertyMap | properties () const
void | removeUnsupportedProperties (const StringList &properties)
PropertyMap | setProperties (const PropertyMap &properties)
virtual AudioProperties * | audioProperties () const =0
virtual bool | save ()=0
ByteVector | readBlock (unsigned long length)
void | writeBlock (const ByteVector &data)
long | find (const ByteVector &pattern, long fromOffset=0, const ByteVector &before=ByteVector())
long | rfind (const ByteVector &pattern, long fromOffset=0, const ByteVector &before=ByteVector())
void | insert (const ByteVector &data, unsigned long start=0, unsigned long replace=0)
void | removeBlock (unsigned long start=0, unsigned long length=0)
bool | readOnly () const
bool | isOpen () const
bool | isValid () const
void | seek (long offset, Position p=Beginning)
void | clear ()
long | tell () const
long | length ()

## Static Public Member Functions
static bool | isSupported (IOStream *stream)
Static Public Member Functions inherited from TagLib::File
static TAGLIB_DEPRECATED bool | isReadable (const char *file)
static TAGLIB_DEPRECATED bool | isWritable (const char *name)

## Friends
class | Properties

## Additional Inherited Members
Public Types inherited from TagLib::File
enum | Position { Beginning , Current , End }
enum | StripTags { StripNone , StripOthers }
enum | DuplicateTags { Duplicate , DoNotDuplicate }
Protected Types inherited from TagLib::RIFF::File
enum | Endianness { BigEndian , LittleEndian }
Protected Member Functions inherited from TagLib::RIFF::File
| File (FileName file, Endianness endianness)
| File (IOStream *stream, Endianness endianness)
unsigned int | riffSize () const
unsigned int | chunkCount () const
unsigned int | chunkOffset (unsigned int i) const
unsigned int | chunkDataSize (unsigned int i) const
unsigned int | chunkPadding (unsigned int i) const
ByteVector | chunkName (unsigned int i) const
ByteVector | chunkData (unsigned int i)
void | setChunkData (unsigned int i, const ByteVector &data)
void | setChunkData (const ByteVector &name, const ByteVector &data)
void | setChunkData (const ByteVector &name, const ByteVector &data, bool alwaysCreate)
void | removeChunk (unsigned int i)
void | removeChunk (const ByteVector &name)
Protected Member Functions inherited from TagLib::File
| File (FileName file)
| File (IOStream *stream)
void | setValid (bool valid)
void | truncate (long length)
Static Protected Member Functions inherited from TagLib::File
static unsigned int | bufferSize ()

## Detailed Description

An implementation of TagLib::File with AIFF specific methods.

This implements and provides an interface for AIFF files to the TagLib::Tag and TagLib::AudioProperties interfaces by way of implementing the abstract TagLib::File API as well as providing some additional information specific to AIFF files.

## Constructor & Destructor Documentation

## ◆ File() [1/2]

TagLib::RIFF::AIFF::File::File | ( | FileName | file,
|  | bool | readProperties = `true`,
|  | Properties::ReadStyle | propertiesStyle = `Properties::Average`
| ) |  |

Constructs an AIFF file from file. If readProperties is true the file's audio properties will also be read.

Note
  In the current implementation, propertiesStyle is ignored.

## ◆ File() [2/2]

TagLib::RIFF::AIFF::File::File | ( | IOStream * | stream,
|  | bool | readProperties = `true`,
|  | Properties::ReadStyle | propertiesStyle = `Properties::Average`
| ) |  |

Constructs an AIFF file from stream. If readProperties is true the file's audio properties will also be read.

Note
  TagLib will not take ownership of the stream, the caller is responsible for deleting it after the File object.
  In the current implementation, propertiesStyle is ignored.

## ◆ ~File()

virtual TagLib::RIFF::AIFF::File::~File | ( |  | ) |
| virtual

Destroys this instance of the File.

Reimplemented from TagLib::RIFF::File.

## Member Function Documentation

## ◆ audioProperties()

virtual Properties * TagLib::RIFF::AIFF::File::audioProperties | ( |  | ) | const
| virtual

Returns the AIFF::Properties for this file. If no audio properties were read then this will return a null pointer.

Implements TagLib::File.

## ◆ hasID3v2Tag()

bool TagLib::RIFF::AIFF::File::hasID3v2Tag | ( |  | ) | const

Returns whether or not the file on disk actually has an ID3v2 tag.

See also
  ID3v2Tag()

## ◆ isSupported()

static bool TagLib::RIFF::AIFF::File::isSupported | ( | IOStream * | stream | ) |
| static

Check if the given stream can be opened as an AIFF file.

Note
  This method is designed to do a quick check. The result may not necessarily be correct.

## ◆ properties()

PropertyMap TagLib::RIFF::AIFF::File::properties | ( |  | ) | const

Implements the unified property interface – export function. This method forwards to ID3v2::Tag::properties().

## ◆ removeUnsupportedProperties()

void TagLib::RIFF::AIFF::File::removeUnsupportedProperties | ( | const StringList & | properties | ) |

## ◆ save() [1/2]

virtual bool TagLib::RIFF::AIFF::File::save | ( |  | ) |
| virtual

Saves the file.

Implements TagLib::File.

## ◆ save() [2/2]

bool TagLib::RIFF::AIFF::File::save | ( | ID3v2::Version | version | ) |

Save using a specific ID3v2 version (e.g. v3)

## ◆ setProperties()

PropertyMap TagLib::RIFF::AIFF::File::setProperties | ( | const PropertyMap & |  | ) |

Implements the unified property interface – import function. This method forwards to ID3v2::Tag::setProperties().

## ◆ tag()

virtual ID3v2::Tag * TagLib::RIFF::AIFF::File::tag | ( |  | ) | const
| virtual

Returns the Tag for this file.

Note
  This always returns a valid pointer regardless of whether or not the file on disk has an ID3v2 tag. Use hasID3v2Tag() to check if the file on disk actually has an ID3v2 tag.

See also
  hasID3v2Tag()

Implements TagLib::File.

## Friends And Related Function Documentation

## ◆ Properties

friend class Properties
| friend

The documentation for this class was generated from the following file:

- aifffile.h